View Issue Details

IDProjectCategoryView StatusLast Update
14194Bug reports[All Projects] Survey takingpublic2019-04-30 09:10
Reporterhalliballi123Assigned ToDenisChenu 
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version4.0.0dev 
Summary14194: Datepicker not working with user template
Description

When I have a survey that has a datepicker, the datepicker does not work in Firefox.

Here is the error from console window in Firefox
uncaught exception: bootstrap-datetimepicker requires Moment.js to be loaded first
TypeError: $.fn.datetimepicker is undefined[Weitere Informationen]

After reloading the page, I can click on the Icon and the Datepicker appears.

In IE everything is ok. Maybe the bug is related to 13322

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.14.11
I will donate to the project if issue is resolvedNo
BrowserMozilla Firefox 63 (64-bit) and Firefox 60.3.0 esr (32-bit)
Database & DB-Versionmysql 5.0.11
Server OS (if known)gentoo linux
Webserver software & version (if known)apache
PHP Version5.6.36

Relationships

related to 13322 closedmarkusfluer DateTime picker opens partially or not at all 

Activities

DenisChenu

DenisChenu

2018-10-30 10:39

developer   ~49480

I can not confirm wit

  1. vanilla
  2. Question by question
  3. Ajax mode ON
  4. Firefox 63

Can you send a sample survey ?

halliballi123

halliballi123

2018-10-30 12:14

reporter   ~49488

The solution was:

I have a custom built theme and I had to add moment package to my theme.

Moment is part of the general packages.
You can check the theme options and go to the advanced tab.
in the very last row with the label "Packages to load" should have this content:

{"add":["pjax","moment"]}

thank you markusfluer

halliballi123

halliballi123

2018-10-30 12:15

reporter   ~49489

solution is in 13322

DenisChenu

DenisChenu

2018-10-30 14:04

developer   ~49492

Then:

moment is needed for expression ? No ?
If yes : must put in https://github.com/LimeSurvey/LimeSurvey/blob/3a7bbff279f2ae3fbf5278c73a4dbd6e427f00d4/application/config/packages.php#L33 (develop)

And if not : must create question_date package with this depend.

We can put it for develop :) if core need it : template don't have to reload it

DenisChenu

DenisChenu

2018-11-28 14:31

developer   ~49819

Fix committed to develop branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=28570

Related Changesets

LimeSurvey: develop 998ad23c

2018-11-28 14:30:48

DenisChenu

Details Diff
Fixed issue 14194: Datepicker not working with user theme
Dev: must create a package for date question, but since expressions is loaded
Dev: on public survey …
Affected Issues
14194
mod - application/config/packages.php Diff File
mod - assets/packages/expressions/em_javascript.js Diff File
mod - assets/scripts/survey_runtime.js Diff File

Issue History

Date Modified Username Field Change
2018-10-30 07:05 halliballi123 New Issue
2018-10-30 10:39 DenisChenu Note Added: 49480
2018-10-30 12:14 halliballi123 Note Added: 49488
2018-10-30 12:15 halliballi123 Note Added: 49489
2018-10-30 14:03 DenisChenu Relationship added related to 13322
2018-10-30 14:04 DenisChenu Note Added: 49492
2018-11-28 09:41 DenisChenu Assigned To => DenisChenu
2018-11-28 09:41 DenisChenu Status new => assigned
2018-11-28 14:29 DenisChenu Summary Datepicker not working in Mozilla Firefox => Datepicker not working with user template
2018-11-28 14:31 DenisChenu Changeset attached => LimeSurvey develop 998ad23c
2018-11-28 14:31 DenisChenu Note Added: 49819
2018-11-28 14:31 DenisChenu Resolution open => fixed
2018-11-28 14:31 DenisChenu Status assigned => resolved
2018-11-28 14:31 DenisChenu Fixed in Version => 4.0.0dev
2019-04-30 09:10 c_schmitz Status resolved => closed